Update an agent
curl --request PATCH \
--url https://api.matrices.com/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"avatar": "<string>",
"budget": {
"limit": 1
},
"description": "<string>",
"name": "<string>",
"profileId": "<string>",
"tags": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
avatar: '<string>',
budget: {limit: 1},
description: '<string>',
name: '<string>',
profileId: '<string>',
tags: ['<string>']
})
};
fetch('https://api.matrices.com/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}"
payload = {
"avatar": "<string>",
"budget": { "limit": 1 },
"description": "<string>",
"name": "<string>",
"profileId": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}"
payload := strings.NewReader("{\n \"avatar\": \"<string>\",\n \"budget\": {\n \"limit\": 1\n },\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"profileId\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agent": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"profileId": "<string>",
"tags": [
"<string>"
],
"workspaceId": "<string>",
"avatar": "<string>",
"budget": {
"limit": 1,
"window": "24h"
},
"description": "<string>",
"identity": "<string>",
"name": "<string>"
}
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Agents
Update an agent
PATCH
/
v1
/
agents
/
{agentId}
Update an agent
curl --request PATCH \
--url https://api.matrices.com/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"avatar": "<string>",
"budget": {
"limit": 1
},
"description": "<string>",
"name": "<string>",
"profileId": "<string>",
"tags": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
avatar: '<string>',
budget: {limit: 1},
description: '<string>',
name: '<string>',
profileId: '<string>',
tags: ['<string>']
})
};
fetch('https://api.matrices.com/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}"
payload = {
"avatar": "<string>",
"budget": { "limit": 1 },
"description": "<string>",
"name": "<string>",
"profileId": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}"
payload := strings.NewReader("{\n \"avatar\": \"<string>\",\n \"budget\": {\n \"limit\": 1\n },\n \"description\": \"<string>\",\n \"name\": \"<string>\",\n \"profileId\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"agent": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"profileId": "<string>",
"tags": [
"<string>"
],
"workspaceId": "<string>",
"avatar": "<string>",
"budget": {
"limit": 1,
"window": "24h"
},
"description": "<string>",
"identity": "<string>",
"name": "<string>"
}
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
APIKeyBearerAgentLeaseBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Slack emoji shortcode such as :fox_face:, or an https image URL. Agent-authored writes accept only the emoji form. Empty clears.
Maximum string length:
2048Pattern:
^(?:|:[a-z0-9_+'-]{1,64}:|https://\S+)$Show child attributes
Show child attributes
Maximum array length:
32Response
Updated agent.
Show child attributes
Show child attributes